Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.fulltext
Class FulltextQuerySolrHelper

    java.lang.Object
      com.gisgraphy.fulltext.FulltextQuerySolrHelper

    public class FulltextQuerySolrHelper

extends Object

usefullmethod to process fulltext query by solr

Author:
  David Masclet

Field Summary
`protected static String` | `GEOLOC_QUERY_TEMPLATE`
`protected static String` | `NESTED_QUERY_INTEXT_WITHSTATE_TEMPLATE`
`protected static String` | `NESTED_QUERY_NUMERIC_TEMPLATE`
`protected static String` | `NESTED_QUERY_TEMPLATE`

Constructor Summary
`FulltextQuerySolrHelper()`

Method Summary
`protected static boolean` | `isStreetQuery(com.gisgraphy.fulltext.FulltextQuery query)`
`static org.apache.solr.common.params.ModifiableSolrParams` | `parameterize(com.gisgraphy.fulltext.FulltextQuery query)`
`static String` | `toQueryString(com.gisgraphy.fulltext.FulltextQuery fulltextQuery)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NESTED_QUERY_TEMPLATE

    protected static final String NESTED_QUERY_TEMPLATE

See Also:
  Constant Field Values

### NESTED_QUERY_INTEXT_WITHSTATE_TEMPLATE

    protected static final String NESTED_QUERY_INTEXT_WITHSTATE_TEMPLATE

See Also:
  Constant Field Values

### NESTED_QUERY_NUMERIC_TEMPLATE

    protected static final String NESTED_QUERY_NUMERIC_TEMPLATE

See Also:
  Constant Field Values

### GEOLOC_QUERY_TEMPLATE

    protected static final String GEOLOC_QUERY_TEMPLATE

See Also:
  Constant Field Values

Constructor Detail

### FulltextQuerySolrHelper

    public FulltextQuerySolrHelper()

Method Detail

### parameterize

    public static org.apache.solr.common.params.ModifiableSolrParams parameterize(com.gisgraphy.fulltext.FulltextQuery query)

  Returns:
    A Representation of all the needed parameters

### isStreetQuery

    protected static boolean isStreetQuery(com.gisgraphy.fulltext.FulltextQuery query)

### toQueryString

    public static String toQueryString(com.gisgraphy.fulltext.FulltextQuery fulltextQuery)

  Returns:
    A query string for the specified parameter (starting with '?') the name of the parameters are defined in `Constants`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.